function ShowIntermediateSolution(X,mv)

global MyMODEL MyGRIDSIZE SHOWINTERMEDIATESOLUTION


if  SHOWINTERMEDIATESOLUTION
  Model=MyMODEL;
  nx=MyGRIDSIZE(1,1);ny=MyGRIDSIZE(1,2);

  % unprecondition the approximate solution
  X=PostProcess(X);
  % change the vector to a gridfunction  
  [phi,U,V]=Continueer(X,nx,ny,Model);

  % display the solution
  [X0,Y0]=feval(Model,'gebied');
  hx=X0/(nx+1); hy=X0/(ny+1);
  [xr,yr]=ndgrid([0:hx:X0],[0:hy:Y0]);

  hold off
  meshc(xr,yr,phi), view(-10,30)
  if nargin>1
    xlabel(sprintf('#MVs: %d',mv));
  end
  drawnow
  
end

return
